View Issue Details

IDProjectCategoryView StatusLast Update
0021871mantisbtperformancepublic2017-06-04 14:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.3 
Target Version2.5.0Fixed in Version2.5.0 
Summary0021871: Improve db_fetch_array performance
Description

By looking at some profiles, it can be seen that the functions:
db_is_pgsql()
db_is_oracle()
take up about 20% of the time used by db_fetch_array.

TagsNo tags attached.

Activities

cproensa

cproensa

2016-11-06 17:24

developer  

Selección_082.png (214,092 bytes)
Selección_082.png (214,092 bytes)
cproensa

cproensa

2016-11-06 17:41

developer   ~0054450

PR: https://github.com/mantisbt/mantisbt/pull/942

dregad

dregad

2017-05-15 04:37

developer   ~0056857

Fixed via PR https://github.com/mantisbt/mantisbt/pull/1105

Related Changesets

MantisBT: master 06e76774

2017-05-15 04:33:39

dregad

Details Diff
Improve db_fetch_array performance

Improve db_fetch_array performance by caching the result from:
- db_is_pgsql()
- db_is_oracle()

Based on profiling, the repeated calls were using up to 20% of total
time for the db_fetch_array execution.

Fixes 0021871, PR https://github.com/mantisbt/mantisbt/pull/1105
mod - core/constant_inc.php Diff File
mod - core/database_api.php Diff File

Issue History

Date Modified Username Field Change
2016-11-06 17:24 cproensa New Issue
2016-11-06 17:24 cproensa File Added: Selección_082.png
2016-11-06 17:41 cproensa Assigned To => cproensa
2016-11-06 17:41 cproensa Status new => assigned
2016-11-06 17:41 cproensa Note Added: 0054450
2016-11-06 17:42 cproensa Summary db_fetch_array performance => Improve db_fetch_array performance
2017-05-15 04:36 dregad Changeset attached => MantisBT master 06e76774
2017-05-15 04:36 dregad Assigned To cproensa => dregad
2017-05-15 04:36 dregad Status assigned => resolved
2017-05-15 04:36 dregad Resolution open => fixed
2017-05-15 04:36 dregad Fixed in Version => 2.5.0
2017-05-15 04:37 dregad Assigned To dregad => cproensa
2017-05-15 04:37 dregad Target Version => 2.5.0
2017-05-15 04:37 dregad Note Added: 0056857
2017-06-04 14:58 vboctor Status resolved => closed